/*  xfce4
 *  
 *  Copyright (C) 2002 Olivier Fourdan (fourdan@xfce.org)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <stdlib.h>
#include <libxfce4mcs/mcs-client.h>

int
main(int argc, char **argv)
{
    char *s;
    
    gtk_init(&argc, &argv);

    if(!mcs_client_check_manager(gdk_display, DefaultScreen(gdk_display), "xfce-mcs-manager"))
    {
	g_warning("MCS manager not running");
	exit(1);
    }

    if (argc == 1)
        s = "";
    else
        s = argv[1];

    mcs_client_show(gdk_display, DefaultScreen(gdk_display), s);
 
    return(0);
}
